CONVERT_IMAGE(1)

NAME
convert_image - convert images to CBF format using a template

SYNOPSIS
convert_image [options]

DESCRIPTION
convert_image is a program that can convert images from a MAR180, MAR300, MAR345 or ADSC CCD detector and convert them to CBF format.

convert_image requires two arguments: imagefile and cbffile. Those are the primary input and output. The detector type is extracted from the image file or from the command line, converted to lower case and used to construct the name of a template cbf file to use for the copy. The template file name is of the form template_name_columnsxrows.

To run makecbf with the example image, type:

makecbf example.mar2300 test.cbf

OPTIONS

-i input_img
    (default: stdin) the input file as an image in smv, mar300, or mar345 format. If input_img is not specified or is given as "-", it is copied from stdin to a temporary file.

-p template_cbf
    the template for the final cbf to be produced. If template_cbf is not specified the name is constructed from the first token of the detector name and the image size as template_<type>_<columns>x<rows>.cbf

-o output_cbf
    (default: stdout ) the output cbf combining the image and the template. If the output_cbf is not specified or is given as "-", it is written to stdout.

-d detectorname
    a detector name to be used if none is provided in the image header.

-F  when writing packed compression, treat the entire image as one line with no averaging

-m [x|y|x=y]
    (default x=y, square arrays only) mirror the array in the x-axis (y -> -y) in the y-axis (x -> -x) or in x=y ( x -> y, y-> x)

-r n
    rotate the array n times 90 degrees counter clockwise x -> y, y -> -x for each rotation, n = 1, 2 or 3

-R  if setting a beam center, set reference values of axis settings as well as standard settings

-z distance
    detector distance along Z-axis

-c category_alias=category_root

-t tag_alias=tagroot
    map the given alias to the given root, so that instead of outputting the alias, the root will be presented in the output cbf instead. These options may be repeated as many times as needed.

SEE ALSO
cif2cbf(1), img2cif(1), makecbf(1).

AUTHOR
convert_image was written by Herbert J. Bernstein.

This manual page was written by Morten Kjeldgaard <mok@bioxray.au.dk>, for the Debian project (but may be used by others).